/**
 * Other2.java
 *
 * File generated from the medication2::Other2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration Other2.
 *
 * 
 */

@XmlType(name = "Other")
@XmlEnum
@XmlRootElement(name = "Other2")
public enum Other2 {
	@XmlEnumValue("OTH")
	OTH("OTH"),
	@XmlEnumValue("NINF")
	NINF("NINF"),
	@XmlEnumValue("PINF")
	PINF("PINF");
	
	private final String value;

    Other2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static Other2 fromValue(String v) {
        for (Other2 c: Other2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
